Name:           takari-tycho-support
Version:        0.16.0
Release:        9%{?dist}
Summary:        Takari Tycho Base
License:        EPL
URL:            https://github.com/takari/tycho-support/
BuildArch:      noarch

Source0:        https://github.com/takari/tycho-support/archive/tycho-support-%{version}.tar.gz
# Requested upstream to include license text:
# https://github.com/takari/tycho-support/pull/1
Source1:        http://www.eclipse.org/legal/epl-v10.html

BuildRequires:  maven-local
BuildRequires:  mvn(io.takari:takari:pom:)
BuildRequires:  mvn(org.eclipse.tycho:target-platform-configuration)
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)

Obsoletes:      tesla-tycho-support < 0.16.0-2

%description
Takari is a next generation development infrastructure framework.
This package provides Maven POM file which serves as the base of Tycho
projects which have plugins, tests, and deployable features.
Everything that is required is provided and parameterized by
specifying properties in the host POM.

%prep
%setup -q -n tycho-support-tycho-support-%{version}
cp -p %{SOURCE1} .

# Remove plugins which are not useful in Fedora.
%pom_remove_plugin :maven-upload-plugin

# Removing this fixes "Invalid repository URL" errors when trying to build tycho
# projects that use takari due to missing property "repoHost"
%pom_xpath_remove pom:repositories

%mvn_alias : io.tesla.tycho:

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc epl-v10.html

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 19 2018 Mat Booth <mat.booth@redhat.com> - 0.16.0-7
- Fix Invalid repository URL build errors in other packages

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-2
- Rename to takari-tycho-support

* Mon Jul 13 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-1
- Update to upstream version 0.16.0

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.0.7-4
- Add alias io.takari.tycho:tycho-support

* Tue Sep  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.0.7-3
- Don't inject feclipse-maven-plugin any longer

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.0.7-1
- Initial packaging
